package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.CashOutStatus;
import com.ruoyi.system.domain.DailyReportDeletePermission;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (DailyReportDeletePermission)表数据库访问层
 *
 * @author Long
 * @since 2022-09-23 16:22:02
 */
public interface DailyReportDeletePermissionMapper {

    /**
     * 通过ID查询单条数据
     * @param userId
     * @return
     */
    Integer queryByIdAndTime(@Param("userId") String userId,@Param("time") String time);

    /**
     * 更新状态
     * @param userId
     * @return
     */
    void update(@Param("userId") String userId,@Param("time") String time);

    int insertBatch(@Param("entities") List<DailyReportDeletePermission> entities);

    /**
     * 查询status为1的集合
     * @param userId
     */
    List<String> queryById(@Param("userId") String userId);

    void addUserIdColumn();

    List<DailyReportDeletePermission> selectAll();

    void updateList(List<DailyReportDeletePermission> list);
}

